#### 7.10.6.8 ncratInvert

Procedure from library `ncrat.lib` (see ncrat_lib).

Usage:
  ncrat h = ncratInvert(f);
  f of type ncrat

Return:
  h = inv(f)

Note:
  ncrat h = f^-1;
  yields the same result as
  ncrat h = ncratInvert(f);

Example:

    LIB "ncrat.lib";
    ncInit(list("x", "y", "z"));
    ncrat f = ncratFromString("2*x*y");
    print(f);
    ==> 2*x*y
    ncrat h1, h2;
    h1 = ncratInvert(f);
    print(h1);
    ==> inv(2*x*y)
    h2 = f ^ -1;
    print(h2);
    ==> inv(2*x*y)

User manual for Singular version 4.4.1, 2025, generated by texi2html.